Открыть меню
Переключить меню настроек
Открыть персональное меню
Вы не представились системе
Ваш IP-адрес будет виден всем, если вы внесёте какие-либо изменения.

Шаблон:Блок/styles.css: различия между версиями

Материал из SpaceOnyx
Нет описания правки
Нет описания правки
Строка 1: Строка 1:
.блок {
.блок * {
text-decoration: none !important;
  box-sizing: border-box;
border-radius: 6px;
padding: 12px;
margin-bottom: 12px;
 
width: 100%;
max-width: none;
box-sizing: border-box;
display: block;
}
}


.блок__контент {
.блок {
width: 100%;
  text-decoration: none !important;
max-width: none;
  border-radius: 6px;
box-sizing: border-box;
  padding: 10px 12px;
display: block;
  margin-bottom: 12px;
  width: 100%;
  display: block;
}
}


.блок h1,
.блок h2,
.блок h2,
.блок p {
.блок h3,
margin: 0;
.блок h4,
.блок h5,
.блок h6,
.блок p,
.блок ul,
.блок ol,
.блок li,
.блок dl,
.блок dd,
.блок dt {
  margin: 0;
  padding: 0;
}
}


.блок h2 {
.блок h2 {
margin-bottom: 12px;
  margin-bottom: 8px;
}
}


.блок hr {
.блок ul,
border-top: 6px solid rgba(255,255,255,0.05);
.блок ol {
border-radius: 6px;
  padding-left: 20px;
}
}


.блок table,
.блок hr {
.блок .wikitable {
  border-top: 6px solid rgba(255,255,255,0.05);
width: 100% !important;
  margin: 8px 0;
max-width: none !important;
box-sizing: border-box;
}
}

Версия от 19:29, 18 июня 2026

.блок * {
  box-sizing: border-box;
}

.блок {
  text-decoration: none !important;
  border-radius: 6px;
  padding: 10px 12px;
  margin-bottom: 12px;
  width: 100%;
  display: block;
}

.блок h1,
.блок h2,
.блок h3,
.блок h4,
.блок h5,
.блок h6,
.блок p,
.блок ul,
.блок ol,
.блок li,
.блок dl,
.блок dd,
.блок dt {
  margin: 0;
  padding: 0;
}

.блок h2 {
  margin-bottom: 8px;
}

.блок ul,
.блок ol {
  padding-left: 20px;
}

.блок hr {
  border-top: 6px solid rgba(255,255,255,0.05);
  margin: 8px 0;
}